## com.imcode.imcms.api
Class NoPermissionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.imcode.imcms.api.NoPermissionException

All Implemented Interfaces:
  java.io.Serializable

    public class NoPermissionException

extends java.lang.RuntimeException

This exception is thrown from almost all methods in the service classes. It is thrown when the current logged in user dosen't have the apropiate rights to do that operation. See the message for futher information.

See Also:
  Serialized Form

Constructor Summary
`NoPermissionException(java.lang.String message)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoPermissionException

    public NoPermissionException(java.lang.String message)